# JavaScript backend

## Attributes

When specified on an interface, the `@[single_impl]` attribute prevents any type from
implementing it.

## Verbatim lines

Any lines starting with a `#` character will be included verbatim in the final output.

## See also

A lot of important code is under the `vlib/builtin/js` directory. Especially
`jsfns*.js.v` which defines all supported built-in JavaScript types and functions.